#include <cstdlib>
#include <bits/stdc++.h>
#include <ctime>

using namespace std;


int main () {

int brojPac, o, a, potrebno;
char krvnaGrupa;

cin>>brojPac>>o>>a;

for ( int i = 0;i < brojPac; i++) {
	cin>>krvnaGrupa;
	cin>>potrebno;
	
	if(krvnaGrupa == 'O') {
		if(o == 0) {
			cout<<"nemoguce";
		}
		o = o - potrebno;
		if(o > 0) {
			cout<<"moguce"<<endl;
			cout<<o;
		}
	}
	if(krvnaGrupa == 'A') {
		if(a+o==0) {
			cout<<"nemoguce";
		}
		if(a < potrebno) {
			a = a + o;
			a = a - potrebno;
			cout<<"moguce"<<endl;
			cout<<a;
		}
		
		
	}
}


	
	
	return 0;
}